Bug 806074 - libreoffice-debuginfo does not obsolete openoffice.org-debuginfo
libreoffice-debuginfo does not obsolete openoffice.org-debuginfo
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libreoffice (Show other bugs)
Unspecified Unspecified
unspecified Severity medium
: alpha
: ---
Assigned To: Caolan McNamara
Desktop QE
Depends On:
  Show dependency treegraph
Reported: 2012-03-22 16:31 EDT by Tomas Pelka
Modified: 2012-06-20 08:53 EDT (History)
2 users (show)

See Also:
Fixed In Version: libreoffice-
Doc Type: Bug Fix
Doc Text:
No Documentation needed
Story Points: ---
Clone Of:
Last Closed: 2012-06-20 08:53:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tomas Pelka 2012-03-22 16:31:49 EDT
Description of problem:

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install (all including debuginfo) latest openoffice.org-*.rpm
2. update to libreoffice
Actual results:
after update to libreoffice, openoffice.org-debuginfo is still present on the system

Expected results:
libreoffice-debuginfo should obsolete openoffice.org-debuginfo

Additional info:
Comment 1 David Tardon 2012-03-23 02:39:20 EDT
dtardon->tpelka: seriously? :-)

(In reply to comment #0)
> Expected results:
> libreoffice-debuginfo should obsolete openoffice.org-debuginfo

In general, -debuginfo package is generated automatically by rpmbuild and it is not possible to touch its headers from the spec. Luckily for you, we already generate it ourselves, so it is easy to fix this. Otherwise I would just have put the obsoletes/provides into -core .-)

dtardon->caolanm: fixed in Fedora
Comment 2 Tomas Pelka 2012-03-23 04:09:40 EDT
Yes seriously, in case we retire ooo.org we have to ensure that ALL ooo.org related packages will be replaced.

If it is possible by other components I do not understand why it should be a nonsense for lo.
Comment 5 Caolan McNamara 2012-05-01 05:04:24 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    New Contents:
No Documentation needed
Comment 7 errata-xmlrpc 2012-06-20 08:53:19 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.